Subject: Object are not persisted
Description

With the following injected repository

    /**
     * Team repository
     *
     * @var \Familiefejden\Domain\Repository\TeamRepository
     * @FLOW3\Inject
     */
    protected $teamRepository;

and calling the function

        $this->teamRepository->add($newTeam);

i expect to have my $newTeam (a valid!) object persisted, but nothing is persisted. I get forward to my next action ($this->forward(..))
with no exceptions.

Query log remains empty.

./flow3 doctrine:update commands works perfectly and tables are created

Related issues:
related to TYPO3.Flow - Bug # 37574: ReflectionData is not regenerated automa... Resolved 2012-07-26

History
#1 - 2012-06-07 15:01 - Soren Malling

ChristianM told me on IRC, that running ->persistAll() persists the values - but nothing is persisted if not running this command

#2 - 2012-06-07 17:02 - Soren Malling

Tried to debug the issue and added some systemlogger->log call and all of a sudden (after rebuilding proxy classes - did a flow3:cache:flush --force)
the injected repository was able to persist (without running persistAll)

#3 - 2012-06-28 10:37 - Karsten Dambekalns

2015-08-03 1/2



- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#4 - 2012-06-28 10:38 - Karsten Dambekalns
- Category set to Persistence
- Status changed from Accepted to Closed
- Target version set to 1.1
- % Done changed from 0 to 100
- Has patch set to No

Persistence works fine, judging from your description (it worked all of a sudden) I guess you fell victim to #37574…
